/***
* Výňatek z knihy "HTML5 a CSS3", vydal Computer Press.
* Autorská práva ke kódu. Nesmí se použít jako materiály k výuce, 
* v kurzech, knihách, článcích a podobně. V případě dotazů nás kontaktujte.
* Ručíme, že kódy ke knize odpovídají svému účelu. 
* Více informací o knize najdete na http://knihy.cpress.cz/k1948.
***/
// Podpora strukturálních elementů HTML5 v případě IE 6, 7 a 8
document.createElement("header");
document.createElement("footer");
document.createElement("section");
document.createElement("aside");
document.createElement("article");
document.createElement("nav");

function podporujeHistory(){
  return !!(window.history && window.history.pushState);
}

if(podporujeHistory()){
  window.history.pushState( {tab: "#uvitani" }, '#uvitani' );
  window.onpopstate = function(udalost) {
    if(udalost.state){
      var zalozka = (udalost.state["zalozka" ]);
      $(".viditelny" )
        .removeClass("viditelny" )
        .addClass("skryty" )
        .hide();
      $(zalozka)
        .removeClass("skryty" )
        .addClass("viditelny" )
        .show();
    }
  };
};


$(function(){
  
  $("#sluzby, #onas, #kontakt" ).hide().addClass("skryty" );
  $("#uvitani" ).addClass("viditelny" );
  
	$("nav ul" ).click(function(udalost){
		cil = $(udalost.target);
		if(cil.is("a" )){
		  udalost.preventDefault();
		  if ( $(cil.attr("href" )).hasClass("skryty" ) ){
			
			if(podporujeHistory()){
			  var zalozka = $(cil).attr("href" );
			  var stavObjektu = {zalozka: zalozka};
			  window.history.pushState(stavObjektu, zalozka);
			};
	
			$(".viditelny" ).removeClass("viditelny" ).addClass("skryty" ).hide();
			$(cil.attr("href" )).removeClass("skryty" ).addClass("viditelny" ).show();
		  };
		};
	  });

});

